summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Hunter Sezen <ovariegata@yahoo.com>2016-08-01 12:11:09 +0100
committer David Spencer <idlemoor@slackbuilds.org>2016-08-05 18:10:41 +0100
commitc4427dc4a30231d2e2bf4da5ba8400aee505be6f (patch)
treeea286bb0ec1cd947b6e4434d3d767b9806ac7862
parentae38f4f12a203cbb78c8648cc91f0184f5661361 (diff)
downloadslackbuilds-c4427dc4a30231d2e2bf4da5ba8400aee505be6f.tar.gz
slackbuilds-c4427dc4a30231d2e2bf4da5ba8400aee505be6f.tar.xz
games/vbam-libretro: Added (libretro fork of VBA-M).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--games/vbam-libretro/README12
-rw-r--r--games/vbam-libretro/slack-desc19
-rw-r--r--games/vbam-libretro/vbam-libretro.SlackBuild96
-rw-r--r--games/vbam-libretro/vbam-libretro.info10
4 files changed, 137 insertions, 0 deletions
diff --git a/games/vbam-libretro/README b/games/vbam-libretro/README
new file mode 100644
index 0000000000..928727b7d2
--- /dev/null
+++ b/games/vbam-libretro/README
@@ -0,0 +1,12 @@
+VBA-M is a Nintendo Game Boy Advance video game system emulator that can be
+used as a libretro core.
+
+VBA-M is a Game Boy Advance emulator with the goal to improve upon
+VisualBoyAdvance by integrating the best features from various available
+builds.
+
+To build with tiled rendering use:
+ TILED=1 ./vbam-libretro.SlackBuild
+
+To build the debugging symbols use:
+ DEBUG=1 ./vbam-libretro.SlackBuild
diff --git a/games/vbam-libretro/slack-desc b/games/vbam-libretro/slack-desc
new file mode 100644
index 0000000000..3bc0565ae6
--- /dev/null
+++ b/games/vbam-libretro/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+vbam-libretro: vbam-libretro (fork of VBA-M with libretro integration)
+vbam-libretro:
+vbam-libretro: VBA-M is a Game Boy Advance emulator with the goal to improve upon
+vbam-libretro: VisualBoyAdvance by integrating the best features from the various
+vbam-libretro: builds floating around.
+vbam-libretro:
+vbam-libretro: Homepage: http://www.libretro.com/
+vbam-libretro:
+vbam-libretro:
+vbam-libretro:
+vbam-libretro:
diff --git a/games/vbam-libretro/vbam-libretro.SlackBuild b/games/vbam-libretro/vbam-libretro.SlackBuild
new file mode 100644
index 0000000000..e0da0e60eb
--- /dev/null
+++ b/games/vbam-libretro/vbam-libretro.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+
+# Slackware build script for vbam-libretro
+
+# Copyright 2016 Hunter Sezen
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=vbam-libretro
+LIBNAM=$(echo $PRGNAM | tr - _)
+VERSION=${VERSION:-2016.05.18_a099aec}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# requires patching the Makefile to properly use
+# the default CFLAGS and CXXFLAGS are probably fine
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+DEBUG=${DEBUG:-0}
+TILED=${TILED:-0}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make -C src/libretro DEBUG=$DEBUG TILED_RENDERING=$TILED
+
+install -Dm0644 src/libretro/$LIBNAM.so $PKG/usr/lib${LIBDIRSUFFIX}/libretro/$LIBNAM.so
+install -Dm0644 $LIBNAM.info $PKG/usr/lib${LIBDIRSUFFIX}/libretro/info/$LIBNAM.info
+
+if [ "${DEBUG:-0}" = "0" ]; then
+ find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/vbam-libretro/vbam-libretro.info b/games/vbam-libretro/vbam-libretro.info
new file mode 100644
index 0000000000..f88599d4bf
--- /dev/null
+++ b/games/vbam-libretro/vbam-libretro.info
@@ -0,0 +1,10 @@
+PRGNAM="vbam-libretro"
+VERSION="2016.05.18_a099aec"
+HOMEPAGE="http://www.libretro.com/"
+DOWNLOAD="http://ks392457.kimsufi.com/orbea/stuff/slackbuilds/src/libretro/vbam-libretro-2016.05.18_a099aec.tar.xz"
+MD5SUM="bfead962005864b061f417eb7de17471"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="RetroArch"
+MAINTAINER="Hunter Sezen"
+EMAIL="ovariegata@yahoo.com"